/**
 * Vorlage Kapitel 1.4 - Einstiegsaufgabe: Mensaessen zum Bewerten der Qualität von Mensaessen 
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
class Mensaessen extends Methodenbox
{
    private boolean hatBiosiegel;
    private boolean istRegional;
    private boolean istBiologischEmpfelenswert;

    private boolean istAussehenGut;
    private boolean schmecktGut;
    private boolean istGenussEmpfehlenswert;

    private boolean istEinseitig;
    private boolean istVielseitigEmpfehlenswert;


    /**
     * Methode QualitätÜberprüfen überprüft die Qualität unter Verwendung von logischen Operatoren
     *
     */
    void QualitätÜberprüfen()
    {
        istBiologischEmpfelenswert = hatBiosiegel || istRegional;
        setzeTextBiologischEmpfehlenswert("istBiologischEmpfelenswert: " + istBiologischEmpfelenswert);

        istGenussEmpfehlenswert = istAussehenGut && schmecktGut;
        setzeTextGenussEmpfehlenswert("istGenussEmpfehlenswert: " + istGenussEmpfehlenswert);

        istVielseitigEmpfehlenswert = !istEinseitig;
        setzeTextVielseitigEmpfehlenswert("istVielseitigEmpfehlenswert: " + istVielseitigEmpfehlenswert);


    }

    
    /**
     * Aktionsmethode zur Tastatursteuerung 
     * ACHTUNG: Methodenkopf darf nicht geändert werden
     * @param taste die gedrückte Taste (nur normale Tasten wie Buchstaben sind möglich, 
     *                                    keine Sondertasten wie die Cursortasten)
     */  
    @Override void TasteGedrückt(char taste)
    {

        if (taste =='b')
        {
            if(hatBiosiegel == false)
            {
                hatBiosiegel = true;
            }
            else 
            {
                hatBiosiegel = false;
            }
            setzeTextBiosiegel("(b) hatBiosiegel: " + hatBiosiegel);
        }
        if (taste =='r')
        {
            if(istRegional == false)
            {
                istRegional = true;
            }
            else 
            {
                istRegional = false;
            }
            setzeTextRegional("(r) istRegional: " + istRegional);
        }
        if (taste =='a')
        {
            if(istAussehenGut == false)
            {
                istAussehenGut = true;
            }
            else 
            {
                istAussehenGut = false;
            }
            setzeTextAussehen("(a) istAussehenGut: " + istAussehenGut);
        }
        if (taste =='s')
        {
            if(schmecktGut == false)
            {
                schmecktGut = true;
            }
            else 
            {
                schmecktGut = false;
            }
            setzeTextSchmecken("(s) schmecktGut: " + schmecktGut);
        }
        if (taste =='e')
        {
            if(istEinseitig == false)
            {
                istEinseitig = true;
            }
            else 
            {
                istEinseitig = false;
            }
            setzeTextEinseitig("(e) istEinseitig: " + istEinseitig);
        }
        if (taste =='q')
        {
            QualitätÜberprüfen();
        }

    }

}
